import { existsSync, readFileSync, writeFileSync } from 'fs'
import { cwd } from 'process'
import { join } from 'path'

const CWD = cwd()

var PORT = 8000
var DB = join(CWD, 'db')
var WWW = join(CWD, 'www')

function set() {
	if (existsSync('config.json')) {
		console.log('Найден файл config.json')
		let json = JSON.parse(readFileSync('config.json'))
		PORT = json.PORT || PORT
		DB = json.DB || DB
		WWW = json.WWW || WWW
	}
	else {
		console.log('Не найден файл config.json. Конфигурация по умолчанию')
	}
	console.log(`Порт: ${PORT}`)
	console.log(`База данных: ${DB}`)
	console.log(`Статичные файлы: ${WWW}`)

	let json = {
		PORT: PORT,
		DB: DB,
		WWW: WWW
	}
	writeFileSync('config.json', JSON.stringify(json, null, 2))
	console.log('Конфигурация записана в config.json')
}

function getPort() {
	return PORT
}

function getDB() {
	return DB
}

function getWWW() {
	return WWW
}

export default {
	set, getPort, getDB, getWWW
}
