import fs from 'fs'
import { join } from 'path'

let Path
let Persons = {}
let Poetry = {}

function setPath(path) {
	Path = path
}

function init() {

	// Создаём файловую структуру
	['', 'persons', 'poetry'].map(sub => {
		let dir = join(Path, sub)
		if (! fs.existsSync(dir))
			fs.mkdirSync(dir)
	})

	const personpath = join(Path, 'persons')
	for (let id of fs.readdirSync(personpath)) {
		Persons[id] = JSON.parse(fs.readFileSync(join(personpath, id, 'info.json')))
	}

	const poetrypath = join(Path, 'poetry')
	for (let id of fs.readdirSync(poetrypath)) {
		Poetry[id] = JSON.parse(fs.readFileSync(join(poetrypath, id, 'info.json')))
	}

	console.log('База данных инициализированна!')
	console.log(`Людей: ${Object.keys(Persons).length}`)
	console.log(`Стихов: ${Object.keys(Poetry).length}`)
}

function getPersons() {
	return Persons
}

function getPoetry() {
	return Poetry
}

export default {
	setPath, init, getPersons, getPoetry
}
